API Reference
Inventory Items
6 endpoints· Auth: JWT or API Key
get
/api/v1/console/inventory/items JWT API KeyGet items
Query parameters
| Category string | — |
| ValuationMethod string | — |
| Active boolean | — |
| ProductionEligible boolean | — |
| IncludeDeleted boolean | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/inventory/items" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/inventory/items JWT API KeyCreate items
Request body
application/json
{
"name": "string",
"unitId": "00000000-0000-0000-0000-000000000000",
"category": "string",
"kind": "string",
"defaultStockLocationId": "00000000-0000-0000-0000-000000000000",
"minStockLevel": 0,
"supplierId": "00000000-0000-0000-0000-000000000000",
"active": false,
"consumptionUnit": "string",
"consumptionPerStockUnit": 0,
"purchaseUnit": "string",
"purchasePerStockUnit": 0,
"eligibleForKitchenTransfer": false,
"eligibleForProduction": false,
"eligibleForSaleConsumables": false,
"valuationMethod": "string",
"standardCost": 0,
"barcode": "string",
"sku": "string",
"externalId": "string",
"openingQuantity": 0,
"openingUnitCost": 0
}| name string | — |
| unitId string (uuid) | — |
| category string | — |
| kind string | — |
| defaultStockLocationId string (uuid) | — |
| minStockLevel number (double) | — |
| supplierId string (uuid) | — |
| active boolean | — |
| consumptionUnit string | — |
| consumptionPerStockUnit number (double) | — |
| purchaseUnit string | — |
| purchasePerStockUnit number (double) | — |
| eligibleForKitchenTransfer boolean | — |
| eligibleForProduction boolean | — |
| eligibleForSaleConsumables boolean | — |
| valuationMethod string | — |
| standardCost number (double) | — |
| barcode string | — |
| sku string | — |
| externalId string | — |
| openingQuantity number (double) | — |
| openingUnitCost number (double) | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/inventory/items" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"name": "string",
"unitId": "00000000-0000-0000-0000-000000000000",
"category": "string",
"kind": "string",
"defaultStockLocationId": "00000000-0000-0000-0000-000000000000",
"minStockLevel": 0,
"supplierId": "00000000-0000-0000-0000-000000000000",
"active": false,
"consumptionUnit": "string",
"consumptionPerStockUnit": 0,
"purchaseUnit": "string",
"purchasePerStockUnit": 0,
"eligibleForKitchenTransfer": false,
"eligibleForProduction": false,
"eligibleForSaleConsumables": false,
"valuationMethod": "string",
"standardCost": 0,
"barcode": "string",
"sku": "string",
"externalId": "string",
"openingQuantity": 0,
"openingUnitCost": 0
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/console/inventory/items/{id} JWT API KeyGet id
Path parameters
| idrequired string (uuid) | — |
Query parameters
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/inventory/items/{id}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Query parameters
Set credentials in the “Authorize” menu
put
/api/v1/console/inventory/items/{id} JWT API KeyUpdate id
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"name": "string",
"unitId": "00000000-0000-0000-0000-000000000000",
"category": "string",
"kind": "string",
"defaultStockLocationId": "00000000-0000-0000-0000-000000000000",
"minStockLevel": 0,
"supplierId": "00000000-0000-0000-0000-000000000000",
"active": false,
"consumptionUnit": "string",
"consumptionPerStockUnit": 0,
"purchaseUnit": "string",
"purchasePerStockUnit": 0,
"eligibleForKitchenTransfer": false,
"eligibleForProduction": false,
"eligibleForSaleConsumables": false,
"valuationMethod": "string",
"standardCost": 0,
"barcode": "string",
"sku": "string",
"externalId": "string"
}| name string | — |
| unitId string (uuid) | — |
| category string | — |
| kind string | — |
| defaultStockLocationId string (uuid) | — |
| minStockLevel number (double) | — |
| supplierId string (uuid) | — |
| active boolean | — |
| consumptionUnit string | — |
| consumptionPerStockUnit number (double) | — |
| purchaseUnit string | — |
| purchasePerStockUnit number (double) | — |
| eligibleForKitchenTransfer boolean | — |
| eligibleForProduction boolean | — |
| eligibleForSaleConsumables boolean | — |
| valuationMethod string | — |
| standardCost number (double) | — |
| barcode string | — |
| sku string | — |
| externalId string | — |
Responses
200Success
cURL
curl -X PUT "https://staging-api.panoptesos.com/api/v1/console/inventory/items/{id}" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"name": "string",
"unitId": "00000000-0000-0000-0000-000000000000",
"category": "string",
"kind": "string",
"defaultStockLocationId": "00000000-0000-0000-0000-000000000000",
"minStockLevel": 0,
"supplierId": "00000000-0000-0000-0000-000000000000",
"active": false,
"consumptionUnit": "string",
"consumptionPerStockUnit": 0,
"purchaseUnit": "string",
"purchasePerStockUnit": 0,
"eligibleForKitchenTransfer": false,
"eligibleForProduction": false,
"eligibleForSaleConsumables": false,
"valuationMethod": "string",
"standardCost": 0,
"barcode": "string",
"sku": "string",
"externalId": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
delete
/api/v1/console/inventory/items/{id} JWT API KeyDelete id
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"reason": "string"
}| reason string | — |
Responses
200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/inventory/items/{id}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
get
/api/v1/console/inventory/items/lookup JWT API KeyGet lookup
Query parameters
| code string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/inventory/items/lookup" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu